repo/gentoo:master commit in: kde-plasma/union/

"Andreas Sturmlechner" <[email protected]> Tue, 04 Aug 2026 20:51:28 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785876628.51934d4709a2c4e1d941625fae3e22370a8ba507.asturm@gentoo>
commit:     51934d4709a2c4e1d941625fae3e22370a8ba507
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  4 16:19:30 2026 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Aug  4 20:50:28 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51934d47

kde-plasma/union: 6.7.4 version bump

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/union/Manifest           |  1 +
 kde-plasma/union/union-6.7.4.ebuild | 66 +++++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/kde-plasma/union/Manifest b/kde-plasma/union/Manifest
index c26b1305a4a5..f76da0e3cd02 100644
--- a/kde-plasma/union/Manifest
+++ b/kde-plasma/union/Manifest
@@ -1 +1,2 @@
 DIST union-6.7.3.tar.xz 219836 BLAKE2B 68b0fdd5876a9c72fe9cf34d52ad98f772c3b7c6bb9c31bc62798836c2d607cda3e073da6175ea919ff99a73e74d67265e0570fb7c96e50ca9141809eb1f006c SHA512 513bd7e9ee2eb37369ded1305051a1e54f95943f1cca3676346bf9d5c9ba70e44aa5471633465465dc4e1b7cd3c67fa3e03ceb7d645cafb4708543f88b12c92d
+DIST union-6.7.4.tar.xz 220824 BLAKE2B 61d47a49837790610e2f6ee4e7f316f6d1fb7114eb66990273108aeaa381ad796c154c898c530459fea0c0e19140d2061930a9a9ab837a7ffd7727d151a3f486 SHA512 68cb2268faf6a2d36708fc63405eeb8a2c36fa04ef3f6b75c4ad9ab07f2e0d9ea864f0bed85c975019f3278e5789272bd98c09286fadf31bf4212ffc759533af

diff --git a/kde-plasma/union/union-6.7.4.ebuild b/kde-plasma/union/union-6.7.4.ebuild
new file mode 100644
index 000000000000..f026830c9c15
--- /dev/null
+++ b/kde-plasma/union/union-6.7.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_EXAMPLES="true"
+ECM_TEST="true"
+KFMIN=6.26.0
+QTMIN=6.10.1
+inherit ecm plasma.kde.org
+
+DESCRIPTION="Style engine providing a unified style description to separate output styles"
+HOMEPAGE="https://quantumproductions.info/articles/2025-02/moving-kdes-styling-future
+https://files.quantumproductions.info/union/overview.html"
+
+LICENSE="|| ( LGPL-2.1 LGPL-3 ) GPL-3 BSD-2"
+SLOT="6"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="tools widgets"
+
+# IUSE="svg"
+# 	svg? (
+# 		>=dev-cpp/rapidyaml-0.7.2:=
+# 		>=dev-qt/qtsvg-${QTMIN}:6
+# 		>=kde-frameworks/karchive-${KFMIN}:6
+# 		>=kde-frameworks/kcolorscheme-${KFMIN}:6
+# 		>=kde-frameworks/kconfig-${KFMIN}:6
+# 		kde-plasma/libplasma:6=
+# 	)
+DEPEND="
+	>=dev-qt/qtbase-${QTMIN}:6[dbus,gui,widgets?]
+	>=dev-qt/qtdeclarative-${QTMIN}:6
+	>=dev-qt/qtshadertools-${QTMIN}:6
+	>=kde-frameworks/kcolorscheme-${KFMIN}:6
+	>=kde-frameworks/kcoreaddons-${KFMIN}:6
+	>=kde-frameworks/kguiaddons-${KFMIN}:6
+	>=kde-frameworks/kiconthemes-${KFMIN}:6
+	>=kde-frameworks/kirigami-${KFMIN}:6
+"
+RDEPEND="${DEPEND}
+	dev-libs/cxx-rust-cssparser
+	widgets? ( kde-plasma/breeze:6 )
+"
+BDEPEND=">=dev-qt/qttools-${QTMIN}:6[qdoc]"
+
+DOCS=( README.md )
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_INPUT_PLASMASVG=OFF # defunct as of 2025-10-09
+		-DBUILD_INPUT_CSS=ON # CSS is the default input format
+		-DBUILD_WITH_KDEFRAMEWORKS=ON # required by BUILD_PLATFORM_PLASMA
+		-DBUILD_PLATFORM_PLASMA=ON
+		-DBUILD_OUTPUT_KIRIGAMI=ON
+		-DBUILD_OUTPUT_QTQUICK=ON # required by BUILD_OUTPUT_KIRIGAMI
+		-DBUILD_OUTPUT_QTWIDGETS=$(usex widgets)
+		-DBUILD_TOOLS=$(usex tools)
+	)
+	ecm_src_configure
+}
+
+src_install() {
+	use examples && local DOCS+=( "${S}"/examples/snippets/{Button,Positioner}.qml )
+	use tools && dobin "${BUILD_DIR}"/bin/union-ruleinspector
+	ecm_src_install
+}